#include <bits/stdc++.h>
using namespace std;

main() {
    int n, v, i, proso = -1;
    
    cin >> n >> v;
    
    int a[n];
   
    for(i=0; i<n; i++) {
        cin >> a[i];
    }

    for(i=0; i<n; i++) {
        if (a[i] <= v) {
            proso = 1;
            cout << i + 1;
            break;
    	}
    }
    
    if(proso != 1) {
    	cout << -1;
	}
}